Index: lemon/cycle_canceling.h
===================================================================
--- lemon/cycle_canceling.h	(revision 1298)
+++ lemon/cycle_canceling.h	(revision 1270)
@@ -196,5 +196,5 @@
 
     // Parameters of the problem
-    bool _has_lower;
+    bool _have_lower;
     Value _sum_supply;
 
@@ -279,7 +279,8 @@
     template <typename LowerMap>
     CycleCanceling& lowerMap(const LowerMap& map) {
-      _has_lower = true;
+      _have_lower = true;
       for (ArcIt a(_graph); a != INVALID; ++a) {
         _lower[_arc_idf[a]] = map[a];
+        _lower[_arc_idb[a]] = map[a];
       }
       return *this;
@@ -471,5 +472,5 @@
         _cost[_reverse[j]] = 0;
       }
-      _has_lower = false;
+      _have_lower = false;
       return *this;
     }
@@ -684,5 +685,5 @@
       const Value MAX = std::numeric_limits<Value>::max();
       int last_out;
-      if (_has_lower) {
+      if (_have_lower) {
         for (int i = 0; i != _root; ++i) {
           last_out = _first_out[i+1];
@@ -727,5 +728,5 @@
         sup[n] = _supply[_node_id[n]];
       }
-      if (_has_lower) {
+      if (_have_lower) {
         for (ArcIt a(_graph); a != INVALID; ++a) {
           int j = _arc_idf[a];
@@ -784,9 +785,9 @@
     }
 
-    // Check if the upper bound is greater than or equal to the lower bound
-    // on each forward arc.
+    // Check if the upper bound is greater or equal to the lower bound
+    // on each arc.
     bool checkBoundMaps() {
       for (int j = 0; j != _res_arc_num; ++j) {
-        if (_forward[j] && _upper[j] < _lower[j]) return false;
+        if (_upper[j] < _lower[j]) return false;
       }
       return true;
@@ -835,8 +836,8 @@
 
       // Handle non-zero lower bounds
-      if (_has_lower) {
+      if (_have_lower) {
         int limit = _first_out[_root];
         for (int j = 0; j != limit; ++j) {
-          if (_forward[j]) _res_cap[_reverse[j]] += _lower[j];
+          if (!_forward[j]) _res_cap[j] += _lower[j];
         }
       }
Index: lemon/dim2.h
===================================================================
--- lemon/dim2.h	(revision 1311)
+++ lemon/dim2.h	(revision 761)
@@ -21,5 +21,4 @@
 
 #include <iostream>
-#include <algorithm>
 
 ///\ingroup geomdat
Index: lemon/elevator.h
===================================================================
--- lemon/elevator.h	(revision 1328)
+++ lemon/elevator.h	(revision 628)
@@ -168,5 +168,5 @@
     int onLevel(int l) const
     {
-      return static_cast<int>(_first[l+1]-_first[l]);
+      return _first[l+1]-_first[l];
     }
     ///Return true if level \c l is empty.
@@ -178,10 +178,10 @@
     int aboveLevel(int l) const
     {
-      return static_cast<int>(_first[_max_level+1]-_first[l+1]);
+      return _first[_max_level+1]-_first[l+1];
     }
     ///Return the number of active items on level \c l.
     int activesOnLevel(int l) const
     {
-      return static_cast<int>(_last_active[l]-_first[l]+1);
+      return _last_active[l]-_first[l]+1;
     }
     ///Return true if there is no active item on level \c l.
Index: lemon/glpk.cc
===================================================================
--- lemon/glpk.cc	(revision 1336)
+++ lemon/glpk.cc	(revision 1270)
@@ -39,6 +39,6 @@
     glp_copy_prob(lp, other.lp, GLP_ON);
     glp_create_index(lp);
-    _rows = other._rows;
-    _cols = other._cols;
+    rows = other.rows;
+    cols = other.cols;
     messageLevel(MESSAGE_NOTHING);
   }
@@ -109,11 +109,11 @@
 
   void GlpkBase::_eraseColId(int i) {
-    _cols.eraseIndex(i);
-    _cols.shiftIndices(i);
+    cols.eraseIndex(i);
+    cols.shiftIndices(i);
   }
 
   void GlpkBase::_eraseRowId(int i) {
-    _rows.eraseIndex(i);
-    _rows.shiftIndices(i);
+    rows.eraseIndex(i);
+    rows.shiftIndices(i);
   }
 
Index: lemon/glpk.h
===================================================================
--- lemon/glpk.h	(revision 1336)
+++ lemon/glpk.h	(revision 1270)
@@ -142,8 +142,8 @@
 
     ///Returns the constraint identifier understood by GLPK.
-    int lpxRow(Row r) const { return _rows(id(r)); }
+    int lpxRow(Row r) const { return rows(id(r)); }
 
     ///Returns the variable identifier understood by GLPK.
-    int lpxCol(Col c) const { return _cols(id(c)); }
+    int lpxCol(Col c) const { return cols(id(c)); }
 
 #ifdef DOXYGEN
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 1340)
+++ lemon/graph_to_eps.h	(revision 1270)
@@ -26,5 +26,5 @@
 #include<vector>
 
-#ifndef LEMON_WIN32
+#ifndef WIN32
 #include<sys/time.h>
 #include<ctime>
@@ -223,4 +223,5 @@
   using T::_copyright;
 
+  using T::NodeTextColorType;
   using T::CUST_COL;
   using T::DIST_COL;
@@ -675,5 +676,5 @@
     {
       os << "%%CreationDate: ";
-#ifndef LEMON_WIN32
+#ifndef WIN32
       timeval tv;
       gettimeofday(&tv, 0);
Index: lemon/howard_mmc.h
===================================================================
--- lemon/howard_mmc.h	(revision 1271)
+++ lemon/howard_mmc.h	(revision 1270)
@@ -362,6 +362,5 @@
     /// \return The termination cause of the search process.
     /// For more information, see \ref TerminationCause.
-    TerminationCause findCycleMean(int limit =
-                                   std::numeric_limits<int>::max()) {
+    TerminationCause findCycleMean(int limit = std::numeric_limits<int>::max()) {
       // Initialize and find strongly connected components
       init();
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 1361)
+++ lemon/lgf_reader.h	(revision 1270)
@@ -1245,5 +1245,5 @@
   ///\code
   ///ListDigraph digraph;
-  ///ListDigraph::ArcMap<int> cap(digraph);
+  ///ListDigraph::ArcMap<int> cm(digraph);
   ///ListDigraph::Node src, trg;
   ///digraphReader(digraph, std::cin).
